Checks if this server is a hidden member of a replica set

- « MongoDB\Driver\Server::isArbiter

- MongoDB\Driver\Server::isPassive »

- PHP Manual
- MongoDB\Driver\Server
- Checks if this server is a hidden member of a replica set

# MongoDB\Driver\Server::isHidden

(mongodb >=1.0.0)

MongoDB\Driver\Server::isHidden — Checks if this server is a hidden member of a replica set

### Description

final public MongoDB\Driver\Server::isHidden(): bool

Returns whether this server is a » hidden member of a replica set.

### Parameters

This function has no parameters.

### Return Values

Returns `true` if this server is a hidden member of a replica set, and `false` otherwise.

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.

### See Also

- MongoDB\Driver\Server::getInfo() - Returns an array of information describing this server